=== alerting/Makefile ===
# dirs
ARCADIA_DIR := $(shell pwd | sed 's|/arcadia/.*|/arcadia|')

# tools
YA := $(ARCADIA_DIR)/ya


DOCKER_URL:=registry.yandex.net/${USER}/solomon-alert:latest

all: docker clean

build:
	$(YA) make --no-src-links -o target

docker: clean build
	echo "Building $(DOCKER_URL)"
	docker build --tag $(DOCKER_URL) --tag solomon-alert --file docker/Dockerfile .

clean:
	rm -rf target

push: docker
	echo "Pushing $(DOCKER_URL)"
	docker push $(DOCKER_URL)
