=== cloud/token/requirements.txt ===
asn1crypto==0.24.0
cffi==1.12.2
cryptography==2.2.2
idna==2.8
protobuf==3.7.0
pycparser==2.19
six==1.12.0
yc-auth-token==0.6.1
yc-service-account==0.0.5
