=== co2/debian/changelog ===
yandex-solomon-co2 (0.5) unstable; urgency=medium

  * Rm special symbols from token
  * Fix invalid ts in push

 -- Vladimir Gordiychuk <gordiychuk@yandex-team.ru>  Thu, 15 Oct 2020 17:01:09 +0300

yandex-solomon-co2 (0.4) unstable; urgency=medium

  * Upgrade dependency on yandex-openjdk11

 -- Vladimir Gordiychuk <gordiychuk@yandex-team.ru>  Thu, 15 Oct 2020 12:19:25 +0300

yandex-solomon-co2 (0.3) unstable; urgency=medium

  * Round timestamp by push grid
  * Upgrade dependency on java 11
  * Push only in prod
  * Authorized push

 -- Vladimir Gordiychuk <gordiychuk@yandex-team.ru>  Wed, 14 Oct 2020 15:57:47 +0300

yandex-solomon-co2 (0.2) unstable; urgency=low

  * rebuild

 -- Sergey Polovko <jamel@yandex-team.ru>  Wed, 28 Mar 2018 16:06:14 +0300

yandex-solomon-co2 (0.1) unstable; urgency=low

  * Initial release.

 -- Maksim Leonov <nohttp@yandex-team.ru>  Thu, 12 Jan 2017 09:11:51 +0300
