=== ps-graphite-client-conf/debian/changelog ===
ps-graphite-client-conf (0.14-0) unstable; urgency=low

  * Added new servers to send metrics to (SOLOMON-1635)

 -- Maksim Leonov <nohttp@yandex-team.ru>  Mon, 26 Sep 2016 19:11:58 +0300

ps-graphite-client-conf (0.13-2) unstable; urgency=medium

  * Increment version (MONADMIN-367: Added option UNIQ_MONITORING_FILE)

 -- Artem khokhlov <chrono@yandex-team.ru>  Fri, 11 Mar 2016 14:12:03 +0300

ps-graphite-client-conf (0.13-1) unstable; urgency=medium

  * MONADMIN-367: Added option UNIQ_MONITORING_FILE

 -- Artem khokhlov <chrono@yandex-team.ru>  Fri, 11 Mar 2016 13:55:19 +0300

ps-graphite-client-conf (0.13-0) unstable; urgency=low

  * Switch to send metrics via LB

 -- Andrey Miroshnikov <wf1nder@yandex-team.ru>  Mon, 05 Oct 2015 14:35:36 +0300

ps-graphite-client-conf (0.12-2) unstable; urgency=low

  * Remove back yandex-hamster-check-systems from deps, that was not
    really good idea

 -- Andrey Miroshnikov <wf1nder@yandex-team.ru>  Thu, 28 May 2015 04:03:10 +0300

ps-graphite-client-conf (0.12-1) unstable; urgency=low

  * Add yandex-hamster-check-systems into deps

 -- Andrey Miroshnikov <wf1nder@yandex-team.ru>  Tue, 14 Apr 2015 13:16:17 +0300

ps-graphite-client-conf (0.12-0) unstable; urgency=low

  * Switch to new cluster graphite-ch

 -- Andrey Miroshnikov <wf1nder@yandex-team.ru>  Mon, 30 Mar 2015 10:29:37 +0300

ps-graphite-client-conf (0.11-1) unstable; urgency=low

  * Enable ipv6

 -- Andrey Trubachev <d3rp@yandex-team.ru>  Fri, 05 Dec 2014 15:32:19 +0300

ps-graphite-client-conf (0.11-0) unstable; urgency=low

  * Version up to fix RHEL spec

 -- Andrey Miroshnikov <wf1nder@yandex-team.ru>  Sun, 05 Oct 2014 14:23:47 +0400

ps-graphite-client-conf (0.10.3.1) unstable; urgency=low

  * Logrotate fix

 -- Andrey Miroshnikov <wf1nder@yandex-team.ru>  Tue, 27 May 2014 12:52:01 +0400

ps-graphite-client-conf (0.10.3) unstable; urgency=low

  * Update logrotate config

 -- Andrey Miroshnikov <wf1nder@yandex-team.ru>  Tue, 27 May 2014 10:55:46 +0400

ps-graphite-client-conf (0.10.2) unstable; urgency=low

  * Version bump

 -- Andrey Miroshnikov <wf1nder@yandex-team.ru>  Tue, 14 Jan 2014 11:41:15 +0400

ps-graphite-client-conf (0.10.1) precise; urgency=low

  * Version bump

 -- Andrey Miroshnikov <wf1nder@yandex-team.ru>  Tue, 14 Jan 2014 11:27:09 +0400

ps-graphite-client-conf (0.10) precise; urgency=low

  * Add log rotation

 -- Andrey Miroshnikov <wf1nder@yandex-team.ru>  Tue, 14 Jan 2014 11:04:31 +0400

ps-graphite-client-conf (0.9-3) unstable; urgency=low

  * Version bump to restart senders due to change DNS-name of ps-
    graphite01g

 -- Andrey Miroshnikov <wf1nder@yandex-team.ru>  Mon, 13 Jan 2014 12:29:40 +0400

ps-graphite-client-conf (0.9-2) unstable; urgency=low

  * Version bump

 -- Andrey Miroshnikov <wf1nder@yandex-team.ru>  Fri, 10 Jan 2014 16:15:35 +0400

ps-graphite-client-conf (0.9-1) unstable; urgency=low

  * Increase limit

 -- Andrey Trubachev <d3rp@yandex-team.ru>  Fri, 27 Dec 2013 15:32:24 +0400

ps-graphite-client-conf (0.8-1) unstable; urgency=low

  * Increase metric limit
  * Fix RPM spec file again and again

 -- Andrey Trubachev <d3rp@yandex-team.ru>  Wed, 25 Dec 2013 12:30:02 +0400

ps-graphite-client-conf (0.6) unstable; urgency=low

  * bump

 -- Andrey Trubachev <d3rp@yandex-team.ru>  Tue, 17 Dec 2013 12:45:21 +0400

ps-graphite-client-conf (0.5) unstable; urgency=low

  * Increase metric limit

 -- Andrey Trubachev <d3rp@yandex-team.ru>  Sat, 14 Dec 2013 20:39:02 +0400

ps-graphite-client-conf (0.4) unstable; urgency=low

  * Update debian/control

 -- Andrey Miroshnikov <wf1nder@yandex-team.ru>  Fri, 13 Dec 2013 05:48:38 +0400

ps-graphite-client-conf (0.3) unstable; urgency=low

  * Update client conf

 -- Andrey Miroshnikov <wf1nder@yandex-team.ru>  Tue, 10 Dec 2013 12:37:01 +0400

ps-graphite-client-conf (0.2) unstable; urgency=low

  * Add monitoring config

 -- Andrey Miroshnikov <wf1nder@yandex-team.ru>  Sat, 09 Nov 2013 11:12:45 +0400

ps-graphite-client-conf (0.1) unstable; urgency=low

  * Initial release

 -- Andrey Miroshnikov <wf1nder@yandex-team.ru>  Fri, 08 Nov 2013 13:52:11 +0400
