=== yandex-monlib-python/debian/changelog ===
yandex-monlib-python (1.1.0) unstable; urgency=medium

  * Python3 compatibility

 -- Sergey Polovko <jamel@yandex-team.ru>  Fri, 27 Nov 2020 13:45:32 +0300

yandex-monlib-python (1.0.0) unstable; urgency=medium

  * Initial release;

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Fri, 19 Oct 2018 12:15:00 +0300
