=== yandex-monlib-python3/debian/changelog ===
yandex-monlib-python (1.1.1) unstable; urgency=medium

  * decrease python version in dependencies

 -- Sergey Polovko <jamel@yandex-team.ru>  Mon, 30 Nov 2020 14:18:36 +0300
