=== yandex-solomon-agent-bin/debian/changelog ===
yandex-solomon-agent-bin (1:18.1) unstable; urgency=medium

  * Add info about the Israel cluster (SOLOMON-8682);
  * Propagate project, cluster and service info in push request headers (MSI-1067);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Wed, 08 Jun 2022 14:56:12 +0300

yandex-solomon-agent-bin (1:18.0) unstable; urgency=medium

  * Prevent SIGSEGV in py-plugins which use ctypes (CLOUD-84697);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Wed, 10 Nov 2021 17:56:27 +0300

yandex-solomon-agent-bin (1:17.9) unstable; urgency=medium

  * Backport pymalloc alignment (CLOUD-84697);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Mon, 08 Nov 2021 15:20:44 +0300

yandex-solomon-agent-bin (1:17.8) unstable; urgency=medium

  * Send only a specified Accept header value (SOLOMON-7741);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Fri, 15 Oct 2021 18:12:29 +0300

yandex-solomon-agent-bin (1:17.7) unstable; urgency=medium

  * Don't renew IAM token too often (SOLOMON-7452);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Fri, 20 Aug 2021 17:36:39 +0300

yandex-solomon-agent-bin (1:17.6) unstable; urgency=medium

  * More histogram buckets for response time;
  * Use a proper separators in the Accept header (SOLOMON-7403);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Mon, 16 Aug 2021 11:44:56 +0300

yandex-solomon-agent-bin (1:17.5) unstable; urgency=medium

  * Really allow dots in lables name(MONSUPPORT-488);

 -- Aleksei Trushkin <alextrushkin@yandex-team.ru>  Wed, 23 Jun 2021 16:38:11 +0300

yandex-solomon-agent-bin (1:17.4) unstable; urgency=medium

  * Jitter for push (SOLOMON-7082);

 -- Vladimir Gordiychuk <gordiychuk@yandex-team.ru>  Tue, 15 Jun 2021 17:14:53 +0300

yandex-solomon-agent-bin (1:17.3) unstable; urgency=medium

  * Use tcmalloc on Linux (SOLOMON-6680);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Fri, 26 Feb 2021 13:58:39 +0300

yandex-solomon-agent-bin (1:17.2) unstable; urgency=medium

  * Fix HTTP headers repetition (SOLOMON-6293);
  * Fix a potential XSS vulnerability (CLOUD-55275);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Fri, 22 Jan 2021 14:14:45 +0300

yandex-solomon-agent-bin (1:17.1) unstable; urgency=medium

  * Include dnspython lib into the build (SOLOMON-6170);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Tue, 03 Nov 2020 19:24:07 +0300

yandex-solomon-agent-bin (1:17.0) unstable; urgency=medium

  * Use https for all known endpoints (SOLOMON-6026);
  * Add inode metrics (SOLOMON-5064);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Fri, 09 Oct 2020 17:21:51 +0300

yandex-solomon-agent-bin (1:16.9) unstable; urgency=medium

  * Retrieve an IAM token from vm's info (SOLOMON-5837);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Tue, 08 Sep 2020 00:22:24 +0300

yandex-solomon-agent-bin (1:16.8) unstable; urgency=medium

  * Multishard pulling for GPN (SOLOMON-4112);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Wed, 02 Sep 2020 12:46:47 +0300

yandex-solomon-agent-bin (1:16.7) unstable; urgency=medium

  * Fix filesystem metrics (SOLOMON-5729);
  * Fix parsing json common parts (SOLOMON-5709);
  * Do not report max value in systemd metrics (SOLOMON-5733);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Fri, 26 Jun 2020 18:37:26 +0300

yandex-solomon-agent-bin (1:16.6) unstable; urgency=medium

  * Ignore the limit parameter on pull (SOLOMON-5680);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Fri, 05 Jun 2020 01:10:06 +0300

yandex-solomon-agent-bin (1:16.5) unstable; urgency=medium

  * Use autoregenerating tokens in the Push mode (SOLOMON-5084);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Mon, 01 Jun 2020 14:58:25 +0300

yandex-solomon-agent-bin (1:16.4) unstable; urgency=medium

  * Update the httpClient.requestsInFlight metric (SOLOMON-5643);
  * Add an httpClient.requestsInFlightLimit metric (SOLOMON-5643);
  * Support request queue limiting (SOLOMON-5479);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Wed, 27 May 2020 12:01:10 +0300

yandex-solomon-agent-bin (1:16.3) unstable; urgency=medium

  * Fix nans in EWMA metrics (SOLOMON-5516);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Tue, 19 May 2020 20:57:48 +0300

yandex-solomon-agent-bin (1:16.2) unstable; urgency=medium

  * Support HIST aggregation (SOLOMON-5469);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Fri, 15 May 2020 18:06:03 +0300

yandex-solomon-agent-bin (1:16.1) unstable; urgency=medium

  * forbid http protocol upgrade (SOLOMON-5593)

 -- Sergey Polovko <jamel@yandex-team.ru>  Tue, 12 May 2020 18:13:32 +0300

yandex-solomon-agent-bin (1:16.0) unstable; urgency=medium

  * Rebuild

 -- Sergey Polovko <jamel@yandex-team.ru>  Thu, 26 Mar 2020 12:05:15 +0300

yandex-solomon-agent-bin (1:15.9) unstable; urgency=medium

  * SOLOMON-5305 Fix the case when two original shards write into a single overriden shard;

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Mon, 2 Mar 2020 14:42:00 +0300

yandex-solomon-agent-bin (1:15.8) unstable; urgency=medium

  * Fix OAuth token parsing (SOLOMON-5230);
  * Add an option for not appending the host label (SOLOMON-5277);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Tue, 25 Feb 2020 13:56:24 +0300

yandex-solomon-agent-bin (1:15.7) unstable; urgency=medium

  * Support agent registration in Solomon (SOLOMON-4291);
  * Allow ShardKeyOverride in pull mode (SOLOMON-5147);

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Tue, 28 Jan 2020 11:13:35 +0300

yandex-solomon-agent-bin (1:15.6) unstable; urgency=medium

  * Support a bind before connect trick (SOLOMON-4976);

 -- Ivan Zhukov <ivanzhukov@yandex-team.ru>  Thu, 19 Dec 2019 17:13:35 +0300

yandex-solomon-agent-bin (1:15.5) unstable; urgency=medium

  * Don't reload modules that haven't changed (SOLOMON-5032);

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Mon, 16 Dec 2019 13:38:10 +0300

yandex-solomon-agent-bin (1:15.4) unstable; urgency=medium

  * Fix the freeze on logging errors (SOLOMON-4931);
  * Support custom HTTP headers and the POST method in HttpPull (SOLOMON-4853);


