=== yandex-solomon-bind-exporter-bin/yandex-solomon-bind-exporter-bin/debian/changelog ===
yandex-solomon-bind-exporter-bin (0.4.0-8253146) unstable; urgency=low

  * r8253146 add bind-exporter. Initial commit

 -- Kirill Nuzhdin <knuzhdin@yandex-team.ru>  Wed, 09 Jun 2021 17:03:45 +0300
