=== yandex-solomon-jaeger-bin/yandex-solomon-jaeger-bin/debian/changelog ===
yandex-solomon-jaeger-bin (1.25.0-1.5.1-8503463) unstable; urgency=low

  * r8503463 update jaeger bins. SOLOMON-7374

 -- Kirill Nuzhdin <knuzhdin@yandex-team.ru>  Mon, 09 Aug 2021 16:49:17 +0300

yandex-solomon-jaeger-bin (1.21.0-1.4.1-7664018) unstable; urgency=low

  * r7664018 jaeger binaries. Initial commit

 -- Kirill Nuzhdin <knuzhdin@yandex-team.ru>  Fri, 11 Dec 2020 17:24:22 +0300
