=== yandex-solomon-nginx-bin/yandex-solomon-nginx-bin/debian/changelog ===
yandex-solomon-nginx-bin (1.21.3-8641725) unstable; urgency=low

  * r8641725 bump to 1.21.3 nginx. SOLOMON-7611

 -- Kirill Nuzhdin <knuzhdin@yandex-team.ru>  Fri, 17 Sep 2021 17:31:36 +0300

yandex-solomon-nginx-bin (1.17.7-6220642) unstable; urgency=low

  * r6220642 Update nginx

 -- Kirill Nuzhdin <knuzhdin@yandex-team.ru>  Thu, 16 Jan 2020 20:03:51 +0300

yandex-solomon-nginx-bin (1.15.1-3797291) unstable; urgency=low

  * r3797291 new nginx version

 -- Kirill Nuzhdin <knuzhdin@yandex-team.ru>  Thu, 05 Jul 2018 18:16:39 +0300

yandex-solomon-nginx-bin (1.13.9-3567058.trunk) unstable; urgency=low

  * r3567058 add http_mirror_module

 -- Kirill Nuzhdin <knuzhdin@yandex-team.ru>  Wed, 25 Apr 2018 15:02:43 +0300

yandex-solomon-nginx-bin (1.10.3-2768957) unstable; urgency=low

  * r2768957 Add temp-path dir

 -- Kirill Nuzhdin <knuzhdin@yandex-team.ru>  Thu, 16 Mar 2017 19:21:45 +0300

yandex-solomon-nginx-bin (1.10.3-2768791) unstable; urgency=low

  * r2768791 Do not forget to update Last Changed Rev

 -- Kirill Nuzhdin <knuzhdin@yandex-team.ru>  Thu, 16 Mar 2017 18:24:42 +0300

yandex-solomon-nginx-bin (1.10.3-2768286) unstable; urgency=low

  * r2768286 Initial commit

 -- Kirill Nuzhdin <knuzhdin@yandex-team.ru>  Thu, 16 Mar 2017 16:45:44 +0300
