=== yandex-solomon-sysmond/debian/changelog ===
yandex-solomon-sysmond (1:8.6) unstable; urgency=medium

  * Support 'mount' parameter to select only subset of moutpoints
    (SOLOMON-7654)

 -- Sergey Polovko <jamel@yandex-team.ru>  Tue, 28 Sep 2021 18:47:47 +0300

yandex-solomon-sysmond (1:8.5) unstable; urgency=medium

    * Add inode metrics. Update porto.
    * Get system_metrics from inside docker container
    * Add StealTime, GuestTime, GuestNiceTime
    * Self is inside container mount namespace
    * Fix a bug in path update condition
    * Add mlock_usage sensor to solomon

 -- Sergey Polovko <jamel@yandex-team.ru>  Thu, 25 Feb 2021 11:52:18 +0300

yandex-solomon-sysmond (1:8.4) unstable; urgency=medium

  * Add OomKillsTotal to porto metrics (SOLOMON-5903)

 -- Sergey Polovko <jamel@yandex-team.ru>  Sat, 15 Aug 2020 16:35:02 +0300

yandex-solomon-sysmond (1:8.3) unstable; urgency=medium

  * Add porto metrics about CPU/memory limits & guarantees

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Tue, 28 Jan 2019 10:45:59 +0300

yandex-solomon-sysmond (1:8.2) unstable; urgency=medium

  * Allow filtering network interfaces by using net.intf argument in query (SOLOMON-4979)

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Thu, 02 Dec 2019 10:10:59 +0300

yandex-solomon-sysmond (1:8.1) unstable; urgency=medium

  * Allow gathering metrics from porto volumes (SOLOMON-3415)
  * Add ReadWaitMillisecAvg metric (SOLOMON-4205)

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Wed, 13 Sep 2019 16:10:59 +0300

yandex-solomon-sysmond (1:8.0) unstable; urgency=medium

  * Fix possible crash;

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Fri, 06 Sep 2019 16:30:59 +0300

yandex-solomon-sysmond (1:7.9) unstable; urgency=medium

  * Add the /self handle serving sysmond process metrics (SOLOMON-4611) 

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Fri, 06 Sep 2019 11:30:59 +0300

yandex-solomon-sysmond (1:7.8) unstable; urgency=medium

  * Fix disk IO parsing when in porto mode (SOLOMON-4578)

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Fri, 30 Aug 2019 18:30:59 +0300

yandex-solomon-sysmond (1:7.7) unstable; urgency=medium

  * Use musl to avoid dependencies on system specific libs
  * Rename binary salmon-sysmond -> solomon-sysmond
  * Drop dependency on yandex-search-user-salmon package
  * Simplify upstart config

 -- Sergey Polovko <jamel@yandex-team.ru>  Wed, 31 Jul 2019 12:12:42 +0300

yandex-solomon-sysmond (1:7.6) unstable; urgency=medium

  * Drop After option in systemd unit configuration

 -- Sergey Polovko <jamel@yandex-team.ru>  Wed, 31 Jul 2019 11:37:50 +0300

yandex-solomon-sysmond (1:7.5) unstable; urgency=medium

  * Allow using porto=1 and porto.containerized=1 at the same time (SOLOMON-4358);

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Wed, 10 Jul 2019 15:30:59 +0300

yandex-solomon-sysmond (1:7.4) unstable; urgency=medium

  * add additional cpu/io/net metrics to solomon-porto lib

 -- Sergey Polovko <jamel@yandex-team.ru>  Fri, 05 Jul 2019 14:54:59 +0300

yandex-solomon-sysmond (1:7.3) unstable; urgency=medium

  * Fix possible crash (SOLOMON-4223)

 -- Sergey Polovko <jamel@yandex-team.ru>  Mon, 20 May 2019 10:11:42 +0300

yandex-solomon-sysmond (1:7.2) unstable; urgency=medium

  * 1m, 5m and 15m load average
  * support nvme disks

 -- Sergey Polovko <jamel@yandex-team.ru>  Mon, 20 May 2019 10:11:42 +0300

yandex-solomon-sysmond (1:7.1) unstable; urgency=medium

  * Actually start collector
  * Added anon_usage, anon_max_usage, cache_usage to sysmon sensors

 -- Sergey Polovko <jamel@yandex-team.ru>  Fri, 05 Apr 2019 23:01:53 +0300

yandex-solomon-sysmond (1:7.0) unstable; urgency=medium

  * Fix calculation of IO service time (SOLOMON-3817);
  * Gather system info in a background thread instead of on-demand;

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Wed, 03 Apr 2019 12:45:00 +0300

yandex-solomon-sysmond (1:6.0) unstable; urgency=medium

  * Fix TxErr and TxDrop sensors from the system module (CLOUD-18869);

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Mon, 04 Mar 2019 12:45:00 +0300

yandex-solomon-sysmond (1:5.0) unstable; urgency=medium

  * Collect info from /proc/stat for every CPU core with a new label cpu=N;

 -- Ivan Zhukov <ivanzhukov@solomon-dev-myt-00.search.yandex.net>  Thu, 22 Nov 2018 20:06:54 +0300

yandex-solomon-sysmond (1:4.0) unstable; urgency=medium

  * Filter out porto volumes when gathering overall system info;

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Thu, 09 Aug 2018 18:15:00 +0300

yandex-solomon-sysmond (1:3.0) unstable; urgency=medium

  * Allow /pbbin?format={TEXT,JSON};
  * Remove /pbjson;

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Thu, 09 Aug 2018 14:45:00 +0300

yandex-solomon-sysmond (1:2.0) unstable; urgency=medium

  * Respect 'accept-encoding' header while choosing compression codec;

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Thu, 09 Aug 2018 13:45:00 +0300

yandex-solomon-sysmond (1:1.0) unstable; urgency=medium

  * Always write `self` as the value of the `name` label in containerized mode;

 -- Max Sherbakov <msherbakov@yandex-team.ru>  Thu, 09 Aug 2018 11:00:00 +0300
