=== co2/debian/control ===
Source: yandex-solomon-co2
Maintainer: Maksim Leonov <nohttp@yandex-team.ru>
Build-Depends: debhelper
Description: https://wiki.yandex-team.ru/solomon/

Package: yandex-solomon-co2
Depends: yandex-openjdk11
Architecture: all
Description: https://wiki.yandex-team.ru/solomon/
