=== mega-graphite-web/debian/control ===
Source: mega-graphite-web
Section: misc
Priority: extra
Maintainer: Kulikovsky Dmitry <dkulikovsky@yandex-team.ru>
Build-Depends: debhelper (>= 8.0.0), cdbs
Standards-Version: 3.9.3
Homepage: https://github.yandex-team.ru/graphite/graphite-web/tree/clickhouse

Package: mega-graphite-web
Architecture: all
Depends: python-cairo, 
 python-tz, 
 python-pyparsing, 
 python-django-1.4 | python-django (>= 1.4) | python-django-1.6, 
 python-django-tagging, 
 python-mysqldb, 
 python-flup,
 python-django-yauth, 
 python-httplib2, 
 python-memcached,
 python-pylibmc,
 python-django-replicated,
 python-requests
Description: graph system uses stockpile
 New graph system uses stockpile
