=== ps-graphite-client-conf/debian/control ===
Source: ps-graphite-client-conf
Section: misc
Priority: extra
Maintainer: Maksim Leonov <nohttp@yandex-team.ru>
Build-Depends: cdbs, debhelper (>= 7.0.50~)
Standards-Version: 3.9.2
Vcs-Svn: svn+ssh://arcadia.yandex.ru/arc/trunk/arcadia/solomon/graphite/client-config/ps/ps-graphite-client-conf
Vcs-Browser: https://a.yandex-team.ru/arc/trunk/arcadia/solomon/graphite/client-config/ps/ps-graphite-client-conf

Package: ps-graphite-client-conf
Architecture: all
Depends: yabs-graphite-client, yabs-graphite-sender (>= 0.1.77)
Conflicts: cs-graphite-client-conf
Description:  Graphite client configuration for ps-graphite cluster
 Graphite client configuration for ps-graphite cluster
