=== yandex-solomon-bind-exporter-bin/yandex-solomon-bind-exporter-bin/debian/control ===
Source: yandex-solomon-bind-exporter-bin
Section: misc
Priority: optional
Maintainer: Kirill Nuzhdin <knuzhdin@yandex-team.ru>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.3
Homepage: http://www.yandex.ru

Package: yandex-solomon-bind-exporter-bin
Section: misc
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Description: Package for solomon servers, installs bind-exporter
  Package for solomon servers, installs bind-exporter
