=== yandex-solomon-jaeger-bin/yandex-solomon-jaeger-bin/debian/control ===
Source: yandex-solomon-jaeger-bin
Section: misc
Priority: optional
Maintainer: Kirill Nuzhdin <knuzhdin@yandex-team.ru>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.9.3
Homepage: http://www.yandex.ru

Package: yandex-solomon-jaeger-bin
Section: misc
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Description: Package for tracing servers, installs jaeger binaries
  Package for tracing servers, installs jaeger binaries
