=== yandex-solomon-nginx-bin/yandex-solomon-nginx-bin/debian/control ===
Source: yandex-solomon-nginx-bin
Section: misc
Priority: optional
Maintainer: Kirill Nuzhdin <knuzhdin@yandex-team.ru>
Build-Depends: debhelper (>= 7), perl
Standards-Version: 3.9.3
Homepage: http://www.yandex.ru

Package: yandex-solomon-nginx-bin
Section: misc
Priority: optional
Architecture: all
Depends: ${misc:Depends}
Description: Package for solomon servers, installs nginx binary
  Package for solomon servers, installs nginx binary
