=== co2/debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_build:
	./dist.sh

override_db_builddeb:
	dh_builddeb -- -Znone

override_dh_lintian:

override_dh_installinit:
	dh_installinit --error-handler=true

# vim: set ts=8 sw=8 noet:
