=== yandex-solomon-bind-exporter-bin/yandex-solomon-bind-exporter-bin/debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
PACKAGE=$(shell dh_listpackages)
TMP=$(CURDIR)/debian/$(PACKAGE)

build: 
	$(CURDIR)/debian/build build

build-arch:
	#Nothing to do

build-indep:
	#Nothing to do

install:
	$(CURDIR)/debian/build install
	dh_testdir
	dh_testroot
	dh_prep
	dh_install --list-missing 
	dh_link

binary-indep: install
	dh_testdir
	dh_testroot
	dh_installdirs
	dh_installdocs
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_builddeb

binary-arch:
	#Nothing to do

binary: binary-indep binary-arch
	rm -rf $(TMP)
	rm -f $(TMP).debhelper.log
	rm -f $(TMP).substvars
	$(CURDIR)/debian/build clean

clean:
	dh_clean
